# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.5.0
    hooks:
    -   id: trailing-whitespace
    -   id: end-of-file-fixer
    -   id: check-yaml
    -   id: check-added-large-files
    -   id: check-json
    -   id: name-tests-test
        args: ['--pytest-test-first']
-   repo: local
    hooks:
    -   id: yapf
        name: yapf
        entry: yapf
        language: system
        types: [ python ]
        exclude: migrations
        args: [
            "--diff",
            "--recursive",
            "app",
        ]
-   repo: local
    hooks:
    -   id: mypy
        name: mypy
        entry: mypy
        pass_filenames: false
        require_serial: true
        language: system
        types: [ python ]
        exclude: tests|migrations
        args: [
            "app",
        ]
-   repo: local
    hooks:
    -   id: pylint
        name: pylint
        entry: pylint
        language: system
        types: [python]
        args:
          [
            "-rn", # Only display messages
            "-sn", # Don't display the score
            "app",
            "--extension-pkg-whitelist=pydantic",
          ]
-   repo: local
    hooks:
    -   id: isort
        name: isort (python)
        entry: isort
        language: system
        exclude: migrations
-   repo: local
    hooks:
    -   id: pytest
        name: pytest
        entry: pytest app/tests
        language: system
        pass_filenames: false
        always_run: true
